#
# spec file for package libsdp
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libsdp
Summary:        Infiniband Sockets Direct Protocol - user space library
Version:        1.1.103
Release:        0.8.9
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
libsdp can be LD_PRELOAD-ed to have a sockets application use
InfiniBand Sockets Direct Protocol (SDP) instead of TCP, transparently
and without recompiling the application.



%package devel
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Libraries
Summary:        Infiniband Sockets Direct Protocol - user space library
Requires:       %{name} = %{version}

%description devel
libsdp can be LD_PRELOAD-ed to have a sockets application use
InfiniBand Sockets Direct Protocol (SDP) instead of TCP, transparently
and without recompiling the application.



%prep
%setup -q
./autogen.sh

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%config %_sysconfdir/libsdp.conf
%_libdir/libsdp.so.*
%ifarch %ix86
%_libdir/libsdp_sys.so.*
%endif

%files devel
%defattr(-,root,root)
%_includedir/linux/sdp_inet.h
%_libdir/libsdp.la
%_libdir/libsdp.so
%ifarch %ix86
%_libdir/libsdp_sys.la
%_libdir/libsdp_sys.so
%endif

%changelog
* Fri Feb 11 2011 pth@suse.de
- Add ExcludeArch for s390 and s390x.
* Fri Oct 22 2010 stefan.fent@novell.com
- Update to 1.0.13 from OFED 1.5.2
* Wed May 26 2010 jjolly@novell.com
- Updated to v1.1.100 from OFED 1.5.1
- Added postfix -0.1.g920ea31 to tarball
* Thu Oct 16 2008 jjolly@suse.de
- Updated version from OFED 1.3.1 release
* Fri Feb 29 2008 jjolly@suse.de
- Updated from OFED 1.3 GA release
* Wed Jan 30 2008 jjolly@suse.de
- Updated from OFED 1.3 rc2 (still version 1.1.99)
* Mon Jul  9 2007 hvogel@suse.de
- Use correct version
* Wed Jul  4 2007 hvogel@suse.de
- add local GPL COPYING file and remove remote reference [#288794]
* Mon Jul  2 2007 hvogel@suse.de
- Update to OFED 1.2 version
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.1.99
